package com.yunzhi.inte.controller;

import org.springframework.web.bind.annotation.*;
import org.springframework.web.multipart.MultipartFile;
import javax.servlet.http.HttpServletResponse;
import java.io.File;
import java.io.FileInputStream;
import java.io.IOException;
import java.io.OutputStream;

@RestController
@RequestMapping("/")
public class ImgVidController {
    /**
     * 图片上传。
     *
     * @param fileUpload
     * @return JSONObject
     */
    @PostMapping(value = "/image/upload" )
    @ResponseBody
    public void imageUpload(@RequestParam("file") MultipartFile fileUpload) {

        //获取文件名
        String fileName = fileUpload.getOriginalFilename();
        String tmpFilePath =  "E://image//"  ;

        //没有路径就创建路径
        File tmp = new File(tmpFilePath);
        if (!tmp.exists()) {
            tmp.mkdirs();
        }
        String resourcesPath = tmpFilePath + "//" + fileName;

        File upFile = new File(resourcesPath);
        try {
            fileUpload.transferTo(upFile);
        } catch (IOException e) {
            e.printStackTrace();
        }

    }

    /**
     * 视频上传。
     *
     * @param fileUpload
     * @return JSONObject
     */
    @PostMapping(value = "/video/upload" )
    @ResponseBody
    public void videoUpload(@RequestParam("file") MultipartFile fileUpload) {

        //获取文件名
        String fileName = fileUpload.getOriginalFilename();
        String tmpFilePath =  "E://video//"  ;
        //没有路径就创建路径
        File tmp = new File(tmpFilePath);
        if (!tmp.exists()) {
            tmp.mkdirs();
        }
        String resourcesPath = tmpFilePath + "//" + fileName;
        File upFile = new File(resourcesPath);
        try {
            fileUpload.transferTo(upFile);
        } catch (IOException e) {
            e.printStackTrace();
        }

    }
}

